# Class AddConnectionRequest

#### Hierarchy

- unknown
  - AddConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:820
- Defined in src/protobuf/grpc_pb.d.ts:834

#####
Index

### Constructors

constructor

### Methods

clearConnection
getConnection
hasConnection
serializeBinary
setConnection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddConnectionRequest(): AddConnectionRequest

- #### Returns AddConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### clearConnection

- clearConnection(): AddConnectionRequest

- #### Returns AddConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:824

### getConnection

- getConnection(): undefined | UrlConnection

- #### Returns undefined | UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:821

### hasConnection

- hasConnection(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:823

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:826

### setConnection

- setConnection(value?: UrlConnection): AddConnectionRequest

- #### Parameters

  - ##### `Optional` value: UrlConnection

  #### Returns AddConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:822

### toObject

- toObject(includeInstance?: boolean): AddConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:827

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:830

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddConnectionRequest, reader: BinaryReader): AddConnectionRequest

- #### Parameters

  - ##### message: AddConnectionRequest

  - ##### reader: BinaryReader

  #### Returns AddConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:831

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:829

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddConnectionRequest): AddConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddConnectionRequest

  #### Returns AddConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:828

Generated using TypeDoc